-- Verify camper:surroundings_highlight on pg

begin;

select surroundings_highlight_id
     , company_id
     , media_id
     , name
     , description
     , position
from camper.surroundings_highlight
where false;

select 1 / count(*) from pg_class where oid = 'camper.surroundings_highlight'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.surroundings_highlight'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.surroundings_highlight'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.surroundings_highlight'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.surroundings_highlight'::regclass;


rollback;
